Accepts pending property and meter share requests from Portfolio Manager
Use this endpoint to accept any outstanding property and meter sharing invitations
from ENERGY STAR Portfolio Manager. Returns updated settings after acceptance.
Requires Buildings and Organizations Edit permission.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
EnergyStarSettingsResponseV202110
| Property | Description | Type |
|---|---|---|
| earliestSubmissionPeriod | The earliest period to submit | integer (int32) |
| energyStarConfigurationErrorMessage | If IsEnergystarAvailable is false, this reports the error | string |
| isEnergyStarAvailable | True if this client is configured for ENERGY STAR and Portfolio manager is available. False indicates an issue. EnergyStarConfigurationErrorMessage will contain details | boolean |
| isEnergyStarConfigured | True if ENERGY STAR has been configured | boolean |
| isEnergyStarDisabled | True if running offline mode or if ENERGY STAR has been disabled for this client, false otherwise | boolean |
| linkedPropertyCount | Number of Portfolio Manager properties that are linked to a building in EnergyCAP | integer (int32) |
| pmAccountManagerFullName | Full name of Portfolio Account Manager | string |
| pmAccountManagerUserName | User name of Portfolio Account Manager | string |
| unlinkedPropertyCount | Number of Portfolio Manager properties that are not linked to any buildings in EnergyCAP | integer (int32) |
Example Response
{ "earliestSubmissionPeriod": 1, "energyStarConfigurationErrorMessage": "string", "isEnergyStarAvailable": false, "isEnergyStarConfigured": false, "isEnergyStarDisabled": false, "linkedPropertyCount": 1, "pmAccountManagerFullName": "string", "pmAccountManagerUserName": "string", "unlinkedPropertyCount": 1
}